Subject: bug#48404: 28.0.50; "Invalid version syntax" errors with read-extended-command

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 May 2021 17:27:05 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Mon, 17 May 2021 16:20:25 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What do you mean by "first"?  We already support the likes of
> > "28.3 Beta3", and "Beta3" is not ignored there as some free-text
> > comment.
> 
> For this purpose, it doesn't matter -- we're only interested in the
> major version.  But if you want to expand the language in a more regular
> way, then a different separating character (between the part we parse
> and the one that's free text) can be used, of course.  Semicolon?

Maybe, I don't know.

My point is that simply ignoring something after the first space is
not a good idea.

> > And that is assuming the developers of 3rd-party packages can have
> > some reasonable way of associating their versions with Emacs versions,
> > which I still think is a problem with no solution.
> 
> They don't really need to.  They decide "we think people with Emacs 25
> shouldn't have this in their M-x TAX" and then put "26.1;Magit/1.2" in
> the string.

We need to talk to them to get their agreement, I think.  We cannot
decide for them that this is what they should do.